/* bof: Edicion */

.kc {
    /* poco espacio abajo (patiseca :-) */
    margin-bottom: 0.1em;
}

.ferMiTarjeta {
    background-color: darkgrey;
    border-radius: 5px;
    border-style: ridge;
    box-shadow: 0px 0px 18px black;
    color: black;
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 35px;
    padding-left: 25px;
    padding-right: 25px;
    padding-top: 35px;
    width: 100%;
}

.ferGetCombo {
    font-size: 1em;
    font-weight: bold;
    text-align: start;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}

.ferGetCentrado {
    font-size: 1em;
    font-weight: bolder;
    text-align: center;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}

.ferGetNormal_OBSOLETO {
    /* retirado 2023-10-07 */
    font-size: 1em;
    font-weight: bold;
    text-align: start;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}

.ferGetHundido,
.ferGetNormal {
    padding: 8px;
    font-weight: bold;
    border: 3px inset white;
    box-shadow: inset 20px 20px 60px #c5c5c5, inset -20px -20px 60px #ffffff;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
    all: .5s ease-in-out;
    border-radius: 1rem;
}


.ferGetSimple {
    box-shadow: 0px 0px 5px black;
    font-size: 1em;
    font-weight: lighter;
    text-align: start;
}

.ferCrudIconsOff {
    border-radius: 33px;
    font-size: 20px;
    height: 25px;
    color: red;
    margin-bottom: 4px;
    background-color: rgba(64, 64, 64, 0.16) !important;
}

.ferCrudIcons {
    border-radius: 33px;
    /* Preferred icon size */
    height: 25px;
    font-size: 20px;
    margin-bottom: 4px;
    filter: invert(100%);
    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;
    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;
    /* Support for IE. */
    font-feature-settings: 'liga';
}

.ferBaseCrud {
    border-radius: 12px;
    box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset, rgba(0, 0, 0, 0.15) 0px -36px 30px 0px inset, rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px, rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px, rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
}

.ferBotonEditor {
    padding: 8px;
    width: 36px;
    height: 36px;
}

.ferTituloEdicion {
    color: gold;
    color: black;
    font-weight: bolder;
    font-size: 2em;
    font-style: normal;
    text-align: center;
}

.ferSubTituloEdicion {
    color: lime;
    color: black;
    font-weight: bold;
    font-size: 1.5em;
    font-style: normal;
    text-align: center;
}


.ferPulsador {
    border-style: outset;
    border-radius: 4px;
    box-shadow: 0px 0px 2px black;
    padding-top: 2px;
    padding-left: 1em;
    padding-right: 1em;
}

.ferImgPulsador {
    width: 1.25em;
    height: 1.33em;
}



.ferTabsHead {
    background: radial-gradient(circle, whitesmoke, grey);
    border-color: var(--fondo-botones-borde);
    border-radius: 6px 6px 0 0;
    border-style: ridge;
    border-width: 3px;
    width: 98%;
    align-self: center;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;

}



/***************************************\
* BOF:                                  *
* Modificadores para cambiar los "tabs" *
* a una "especie" de botones tipo fer.  *
****************************************/

.nav-tabs .nav-link {
    color: black !important;
    font-weight: 600 !important;
}

.nav-tabs .nav-link.active,
.show>.nav-tabs .nav-link {
    background: radial-gradient(circle, gray, black) !important;
    font-weight: 600 !important;
    color: var(--fondo-textos-color) !important;
    text-shadow: 1px 3px 3px black !important;
    border-style: inset !important;
    border-width: 4px !important;
    margin-right: 1px !important;
    margin-left: 1px !important;
}

/***************************************\
* EOF:                                  *
* Modificadores para cambiar los "tabs" *
* a una "especie" de botones tipo fer.  *
****************************************/

/* apago spinners en campos VALUE */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}


.sin-flechitas {
    -moz-appearance: textfield; /* Firefox */
    -webkit-appearance: none; /* Safari y Chrome */
    appearance: none; /* Propiedad estándar */
}

.sin-flechitas::-webkit-inner-spin-button,
.sin-flechitas::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}


/* trato de arreglar el select2 en modales */
.select2-dropdown {
    z-index: 6369 !important;
    /*1051;*/
}


/* eof: Edicion */
